# dask.dataframe.tseries.resample.Resampler.sum

Resampler.sum()

  Compute sum of group values.

  This docstring was copied from pandas.core.resample.Resampler.sum.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    numeric_only bool, default False (Not supported in Dask)

      Include only float, int, boolean columns.

      Changed in version 2.0.0: numeric_only no longer accepts `None`.

    min_count int, default 0 (Not supported in Dask)

      The required number of valid values to perform the operation. If fewer than `min_count` non-NA values are present the result will be NA.

  Returns:
    Series or DataFrame

      Computed sum of values within each group.

  Examples

      >>> ser = pd.Series([1, 2, 3, 4], index=pd.DatetimeIndex(
      ...                 ['2023-01-01', '2023-01-15', '2023-02-01', '2023-02-15']))
      >>> ser
      2023-01-01    1
      2023-01-15    2
      2023-02-01    3
      2023-02-15    4
      dtype: int64
      >>> ser.resample('MS').sum()
      2023-01-01    3
      2023-02-01    7
      Freq: MS, dtype: int64